{
  "name": "squidward",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@craco/craco": "^7.0.0",
    "@emotion/react": "^11.10.5",
    "@emotion/styled": "^11.10.5",
    "@frontend/kitui": "1.0.110",
    "@frontend/squzanswerer": "^1.0.57",
    "@mui/icons-material": "^5.10.14",
    "@mui/material": "^5.10.14",
    "@mui/x-charts": "^6.19.5",
    "@mui/x-date-pickers": "^6.16.1",
    "@testing-library/jest-dom": "^5.14.1",
    "@testing-library/react": "^13.0.0",
    "@testing-library/user-event": "^13.2.1",
    "@types/cytoscape": "^3.19.16",
    "@types/file-saver": "^2.0.5",
    "@types/jest": "^27.0.1",
    "@types/node": "^16.7.13",
    "@types/react": "^18.2.55",
    "@types/react-dnd": "^3.0.2",
    "@types/react-dom": "^18.2.19",
    "@types/react-slick": "^0.23.13",
    "axios": "^1.5.1",
    "country-flag-emoji-polyfill": "^0.1.8",
    "cytoscape": "^3.26.0",
    "cytoscape-popper": "^2.0.0",
    "date-fns": "^3.0.6",
    "emoji-mart": "^5.6.0",
    "file-saver": "^2.0.5",
    "formik": "^2.4.5",
    "html-to-image": "^1.11.11",
    "immer": "^10.0.3",
    "jszip": "^3.10.1",
    "moment": "^2.30.1",
    "nanoid": "^5.0.3",
    "notistack": "^3.0.1",
    "react": "^18.2.0",
    "react-beautiful-dnd": "^13.1.1",
    "react-colorful": "^5.6.1",
    "react-cytoscapejs": "^2.0.0",
    "react-dnd": "^16.0.1",
    "react-dnd-html5-backend": "^16.0.1",
    "react-dom": "^18.2.0",
    "react-easy-crop": "^5.0.0",
    "react-error-boundary": "^4.0.11",
    "react-image-crop": "^10.1.5",
    "react-image-file-resizer": "^0.4.8",
    "react-lazily": "^0.9.2",
    "react-rnd": "^10.4.1",
    "react-router-dom": "^6.6.2",
    "react-scripts": "5.0.1",
    "react-slick": "^0.29.0",
    "slick-carousel": "^1.8.1",
    "swiper": "^11.1.4",
    "swr": "^2.2.4",
    "transliteration": "^2.3.5",
    "typescript": "^5.2.2",
    "use-debounce": "^9.0.4",
    "web-vitals": "^2.1.0",
    "yup": "^1.3.2",
    "zustand": "^4.3.8"
  },
  "scripts": {
    "start": "craco start",
    "build": "craco build",
    "test": "craco test",
    "eject": "craco eject",
    "code:format": "prettier --write --ignore-unknown",
    "deploy": "docker login gitea.pena && docker build -t gitea.pena/squiz/frontpanel/$(git branch --show-current):latest . && docker push gitea.pena/squiz/frontpanel/$(git branch --show-current):latest",
    "prepare": "husky install",
    "cypress:open": "cypress open",
    "cypress:run": "cypress run"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "@emoji-mart/data": "^1.2.1",
    "@emoji-mart/react": "^1.1.1",
    "@types/cytoscape-popper": "^2.0.4",
    "@types/react-beautiful-dnd": "^13.1.4",
    "@types/react-cytoscapejs": "^1.2.4",
    "craco-alias": "^3.0.1",
    "husky": "^8.0.3",
    "lint-staged": "^15.2.0",
    "prettier": "^3.1.1"
  },
  "lint-staged": {
    "**/*": "yarn code:format"
  },
  "prettier": {
    "semi": true,
    "trailingComma": "es5",
    "singleQuote": false,
    "printWidth": 120,
    "tabWidth": 2,
    "useTabs": false,
    "endOfLine": "auto",
    "bracketSpacing": true,
    "arrowParens": "always",
    "jsxSingleQuote": false,
    "singleAttributePerLine": true
  }
}
